Skip to main content
PATCH
Update k8s cluster pool

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

cluster_name
string
required

Cluster name

Example:

"my-cluster"

pool_name
string
required

Pool name

Example:

"my-pool"

Body

application/json
auto_healing_enabled
boolean | null

Enable/disable auto healing

Example:

true

labels
Labels · object | null

Labels applied to the cluster pool

Example:
max_node_count
integer | null

Maximum node count

Example:

3

min_node_count
integer | null

Minimum node count

Example:

1

node_count
integer | null
deprecated

This field is deprecated. Please use the cluster pool resize handler instead.

Example:

2

security_group_ids
string<uuid4>[]

Security group IDs applied to the cluster pool nodes. Omit the field to leave unchanged; pass an empty list to clear.

Example:
taints
Taints · object | null

Taints applied to the cluster pool

Example:

Response

200 - application/json

OK

auto_healing_enabled
boolean
required

Indicates the status of auto healing

Example:

true

boot_volume_size
integer
required

Size of the boot volume

Example:

50

boot_volume_type
string
required

Type of the boot volume

Example:

"ssd_hiiops"

created_at
string
required

Date of function creation

Example:

"2023-02-15T11:53:03+03:00"

crio_config
Crio Config · object
required

Crio configuration for pool nodes

Example:
flavor_id
string
required

ID of the cluster pool flavor

Example:

"g1-standard-1-2"

id
string
required

UUID of the cluster pool

Example:

"f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1"

is_public_ipv4
boolean
required

Indicates if the pool is public

Example:

true

kubelet_config
Kubelet Config · object
required

Kubelet configuration for pool nodes

Example:
labels
Labels · object
required

Labels applied to the cluster pool

Example:
max_node_count
integer
required

Maximum node count in the cluster pool

Example:

10

min_node_count
integer
required

Minimum node count in the cluster pool

Example:

1

name
string
required

Name of the cluster pool

Example:

"test"

node_count
integer
required

Node count in the cluster pool

Example:

2

security_group_ids
string[]
required

Security group IDs applied to the cluster pool nodes

Example:
status
string
required

Status of the cluster pool

Example:

"Running"

taints
Taints · object
required

Taints applied to the cluster pool

Example:
servergroup_id
string
default:""

Server group ID

Example:

"1772de21-f013-4b70-9f8f-a518985b3bc2"

servergroup_name
string
default:""

Server group name

Example:

"my-server-group"

servergroup_policy
string
default:""

Anti-affinity, affinity or soft-anti-affinity server group policy

Example:

"anti-affinity"